### Function

# Gimp rectangle_union

since: 2.8

#### Declaration [src]

    void
    gimp_rectangle_union (
      gint x1,
      gint y1,
      gint width1,
      gint height1,
      gint x2,
      gint y2,
      gint width2,
      gint height2,
      gint* dest_x,
      gint* dest_y,
      gint* dest_width,
      gint* dest_height
    )

#### Description [src]

Calculates the union of two rectangles.

Available since: 2.8

#### Parameters

`x1`

  Type: `gint`

  Origin of first rectangle.

`y1`

  Type: `gint`

  Origin of first rectangle.

`width1`

  Type: `gint`

  Width of first rectangle.

`height1`

  Type: `gint`

  Height of first rectangle.

`x2`

  Type: `gint`

  Origin of second rectangle.

`y2`

  Type: `gint`

  Origin of second rectangle.

`width2`

  Type: `gint`

  Width of second rectangle.

`height2`

  Type: `gint`

  Height of second rectangle.

`dest_x`

  Type: `gint*`

  Return location for origin of union, or `NULL`.

  The argument will be set by the function.
  The argument can be `NULL`.

`dest_y`

  Type: `gint*`

  Return location for origin of union, or `NULL`.

  The argument will be set by the function.
  The argument can be `NULL`.

`dest_width`

  Type: `gint*`

  Return location for width of union, or `NULL`.

  The argument will be set by the function.
  The argument can be `NULL`.

`dest_height`

  Type: `gint*`

  Return location for height of union, or `NULL`.

  The argument will be set by the function.
  The argument can be `NULL`.